当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 :  flash??
帖子发表于 : 2008-12-28 21:25 

注册: 2008-04-12 12:44
帖子: 980
送出感谢: 1
接收感谢: 1
我的软件包明明显示了:已经安装flash
但是firefox中的插件看不到?


附件:
flash2.png
flash2.png [ 111.89 KiB | 被浏览 102 次 ]

flash1.png
flash1.png [ 121.71 KiB | 被浏览 102 次 ]

页首
 用户资料  
 
2 楼 
 文章标题 : Re:  flash??
帖子发表于 : 2008-12-29 10:43 

注册: 2008-04-12 12:44
帖子: 980
送出感谢: 1
接收感谢: 1
This issue should now be fixed! Simply install the package flashplugin-nonfree or search for Flash in Add/Remove Applications to install it.

Can’t get Flash Player working in Ubuntu? Ubuntu’s automatic installation of Adobe Flash Player was broken when Adobe released a new version. The installation will report to be successful, but expanding the terminal shows the problem:



Because Adobe Flash Player can not be distributed, the Ubuntu package for Flash Player is just a script that downloads and installs it from Adobe. The problem is that Adobe released a new version of Flash. The script downloads the new version, MD5 hashes the downloaded file, and compares it to the older version’s hash. The hashes being different prevents the installation from proceeding. (I’ve written about MD5 hashes before.)

Changes in the way the new version of Flash works mean that the Ubuntu developers can’t simply change the hash being checked for to match the new version. Until it gets sorted out (follow along in the bug report), you have two choices: install manually from Adobe, or use an unofficial updated package.

Either way, you should remove the broken package first. Paste this command into a terminal to uninstall it:
sudo apt-get remove --purge flashplugin-nonfree

Go to Adobe’s download page to manually install Flash. Or, follow the directions below for an easier way:

Run this in a terminal to download an unofficial package that has been fixed to work with the new version of Flash:
wget http://launchpadlibrarian.net/10761023/ ... 2_i386.deb

Run this command to install the package:
sudo dpkg -i flashplugin-nonfree_9.0.115.0ubuntu2_i386.deb

Restart Firefox and you should have the latest Flash Player working.




Enjoyed this post? Subscribe to Tombuntu's RSS feed.


Share This

Subscribe to this feed • Digg This! (31 Diggs, 15 comments) • Stumble It! (2 Reviews) • Save to del.icio.us (18 saves, tagged: ubuntu flash linux)

Related Posts

Install Adobe Flash Player 10 in Ubuntu 8.04 and 8.10
Test Drive Adobe Flash Player 10 RC in Ubuntu
Test Drive Adobe Flash Player 10 Beta 2 in Ubuntu
Test Drive Flash Player 10 Beta in Ubuntu
Enable Commercial DVD Playback in Ubuntu
28 users responded in " Why Can’t Ubuntu Install Adobe Flash Player Anymore? "

Subscribe to this post's comment rss or trackback url

The_Stig said, in January 1st, 2008 at 2:18 am Hey Tom!

Few days ago I had the same problem. Here is another way(source:http://www.fapipa.hu/blog/?p=20) :

step 1: apt-get install flashplugin-nonfree

step 2: sudo mcedit /var/lib/dpkg/info/flashplugin-nonfree.postinst

step 3: Delete this:

# verify MD5 checksum of (copied or downloaded) tarball
rm -rf install_flash_player_9_linux/
echo “821cc72359a937caef85bb4cc74ef5cd install_flash_player_9_linux.tar.gz”| md5sum -c > /dev/null 2>&1 \
|| fp_exit_with_error “md5sum mismatch install_flash_player_9_linux.tar.gz”

# unpacking and checking the plugin
tar xzf install_flash_player_9_linux.tar.gz || fp_exit_with_error “cannot unpack plugin”
echo “be5a2f9032f8fc8bccbbf5d96c5028f9 install_flash_player_9_linux/libflashplayer.so”| md5sum -c > /dev/null 2>&1 \
|| fp_exit_with_error “plugin changed, not trusted”
echo “a81fd3b03b8c6d6e5a14298110718d3f install_flash_player_9_linux/flashplayer.xpt”| md5sum -c > /dev/null 2>&1 \
|| fp_exit_with_error “plugin changed, not trusted”

step 4: Copy/Paste this:

# verify MD5 checksum of (copied or downloaded) tarball
#rm -rf install_flash_player_9_linux/
#echo “821cc72359a937caef85bb4cc74ef5cd install_flash_player_9_linux.tar.gz”| md5sum -c > /dev/null 2>&1 \
# || fp_exit_with_error “md5sum mismatch install_flash_player_9_linux.tar.gz”

# unpacking and checking the plugin
tar xzf install_flash_player_9_linux.tar.gz || fp_exit_with_error “cannot unpack plugin”
#echo “be5a2f9032f8fc8bccbbf5d96c5028f9 install_flash_player_9_linux/libflashplayer.so”| md5sum -c > /dev/null 2>&1 \
# || fp_exit_with_error “plugin changed, not trusted”
#echo “a81fd3b03b8c6d6e5a14298110718d3f install_flash_player_9_linux/flashplayer.xpt”| md5sum -c > /dev/null 2>&1 \
# || fp_exit_with_error “plugin changed, not trusted”

step 5: Don’t forget to save (F2)!

step 6: sudo dpkg-reconfigure flashplugin-nonfree


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译